[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TStack

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Pointer Stack

## Declaration

Source position: contnrs.pp line 149

`type TStack = class(TOrderedList)`
`protected`
`procedure PushItem(); override;`
`end;`

## Inheritance

`TStack` |  | Pointer Stack
`TOrderedList` |  | Base class for queues and stacks.
`TObject`

## Description

TStack is a descendent of TOrderedList which implements Push and Pop behaviour as a stack: what is last pushed on the stack, is popped of first (LIFO: Last in, first out).

TStack offers no new methods, it merely implements some abstract methods introduced by TOrderedList

## See also

TOrderedList |  | Base class for queues and stacks.
TObjectStack |  | Object instances stack
TQueue |  | Pointer queue

The latest version of this document can be found at lazarus-ccr.sourceforge.net.